Skip to end of metadata
Go to start of metadata

Problem

When trying to access LWA 2.4.4 using IE11, the following error occurs:  The browser you are using is not supported by Loftware Web Access at this time. Please use one of the following supported browsers:

  • Firefox version 2 or greater
  • Internet Explorer version 7 (For Windows) or greater
  • Note: Internet Explorer Version 9 and 10 must be in Compatibility Mode

Explanation

This occurs when you cannot run IE11 in compatibility mode to access LWA 2.4.4

Solution

Icon
There is a hot fix available, LWA 2.4.4 HF1, that can be supplied by the Loftware Customer Accounts Department. They can be reached by phone at (603) 766-3630, Option 2 or by email at cservice@loftware.com. The hot-fix is provided as a zip file, LWA_2.4.4.HF1.zip, and contains two files, compat.jar and Readme.pdf which details how to apply the hot fix. 

Applying the Loftware Web Access Hot Fix

1. The Apache Tomcat Service must be stopped before proceeding

2. Copy the compat.jar file to the Tomcat lib directory

 

-For a standard Tomcat installation, the directory path will be similar to the following:

        C:\Program Files\Apache Software Foundation\Tomcat 6.0\lib

3. Navigate to the Tomcat conf folder.

  • For a standard Tomcat installation, the directory path will be similar to the following:
  • C:\Program Files\Apache Software Foundation\Tomcat 6.0\conf

4. Make a backup copy of the current server.xml and web.xml files

5. Edit the web.xml file and locate the "Filter" section in the file after line 490.

  • Add the following filter and filter-mapping sections to the web.xml file.

==================================================================

<filter>

     <filter-name>LWAIEFilter</filter-name>

     <filter-class>com.loftware.lwa.filter.CompatFilter</filter-class>

</filter>

<filter-mapping>

     <filter-name>LWAIEFilter</filter-name>

     <url-pattern>*</url-pattern>

     <dispatcher>REQUEST</dispatcher>

     <dispatcher>FORWARD</dispatcher>

</filter-mapping>

==================================================================

6. Save and close the web.xml file

7. Edit the server.xml file and locate the valve section located within the <engine> section.

 Add the following element to the valve section at line 119;

    <Valve className="com.loftware.lwa.valve.CompatValve" />

8. Save and close the server.xml file

9. Restart the Tomcat service

Access LWA 2.4.4 from IE 11

Article Number

2018003

Versions

All supported LPS family product versions.

Environment

 

  • No labels